%global momorel 2
%global date 20081222
%global qtver 4.4.3
%global kdever 4.1.81
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: Standalone Flickr Uploader
Name: kflickr
Version: 20081222
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://kflickr.sourceforge.net/
Group: Applications/Internet
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-20081202-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: desktop-file-utils
BuildPreReq: gettext

%description
kflickr is an easy to use photo uploader for flickr.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kflickr.png %{buildroot}%{_datadir}/pixmaps/kflickr.png

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --remove-category FileTransfer \
  --remove-category Network \
  --add-category Qt \
  %{buildroot}%{_kde4_datadir}/applications/kde4/kflickr.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* README
%{_kde4_bindir}/kflickr
%{_kde4_datadir}/applications/kde4/kflickr.desktop
%{_kde4_appsdir}/kflickr
%{_kde4_iconsdir}/hicolor/*/apps/kflickr.png
%{_kde4_iconsdir}/hicolor/*/apps/kflickr.svgz
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/kflickr.png

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20081222-2m)
- rebuild against rpm-4.6

* Tue Dec 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (20081222-1m)
- version 20081222

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20081202-1m)
- version 20081202
- update desktop.patch

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-2m)
- add DocPath to desktop file

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-1m)
- initial package for Momonga Linux
